%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%define po_package gtksourceview-3.0

Name:           mingw-gtksourceview3
Version:        3.2.0
Release:        1%{?dist}
Summary:        MinGW Windows library for viewing source files

# the library itself is LGPL, some .lang files are GPL
License:        LGPLv2+ and GPLv2+
Group:          Development/Libraries
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gtksourceview/%{release_version}/gtksourceview-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-libxml2

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarshal and glib-mkenums
BuildRequires:  glib2-devel
BuildRequires:  intltool

%description
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%package -n     mingw32-gtksourceview3
Summary:        MinGW Windows library for viewing source files

%description -n mingw32-gtksourceview3
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%{?_mingw32_debug_package}


%prep
%setup -q -n gtksourceview-%{version}


%build
%{_mingw32_configure} \
  --disable-static \
  --disable-gtk-doc \
  --disable-introspection

make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

# remove unwanted files
rm $RPM_BUILD_ROOT%{_mingw32_datadir}/gtksourceview-3.0/language-specs/check-language.sh
rm $RPM_BUILD_ROOT%{_mingw32_datadir}/gtksourceview-3.0/styles/check-style.sh

# Remove documentation that duplicates what's in the native package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

%find_lang %{po_package}


%files -n mingw32-gtksourceview3 -f %{po_package}.lang
%doc COPYING
%{_mingw32_bindir}/libgtksourceview-3.0-0.dll
%{_mingw32_includedir}/gtksourceview-3.0/
%{_mingw32_libdir}/libgtksourceview-3.0.dll.a
%{_mingw32_libdir}/libgtksourceview-3.0.la
%{_mingw32_libdir}/pkgconfig/gtksourceview-3.0.pc
%{_mingw32_datadir}/gtksourceview-3.0/


%changelog
* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 3.2.0-1
- Update to 3.2.0

* Sat Aug 20 2011 Kalev Lember <kalevlember@gmail.com> - 3.1.4-2
- Explicitly disable introspection (#730781)
- Added comments about native buildrequires

* Mon Aug 15 2011 Kalev Lember <kalevlember@gmail.com> - 3.1.4-1
- Initial RPM release
